Bug 1301731 - Evolution begin show artifacts after collapse email message attachment
Evolution begin show artifacts after collapse email message attachment
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 15:51 EST by Mikhail
Modified: 2016-01-27 04:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-27 04:23:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screencast (12.60 MB, application/ogg)
2016-01-25 15:51 EST, Mikhail
no flags Details
message for bug reproduction (148.90 KB, application/mbox)
2016-01-25 15:52 EST, Mikhail
no flags Details
screenshot (231.81 KB, image/png)
2016-01-25 16:00 EST, Mikhail
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 761166 None None None 2016-01-27 04:23 EST

  None (edit)
Description Mikhail 2016-01-25 15:51:16 EST
Created attachment 1118214 [details]
screencast

Description of problem:
Evolution begin show artifacts after collapse email message attachment 

$ rpm -qa | grep evolution | sort
evolution-3.18.4-1.fc23.x86_64
evolution-data-server-3.18.4-1.fc23.x86_64
evolution-ews-3.18.4-1.fc23.x86_64
evolution-help-3.18.4-1.fc23.noarch
Comment 1 Mikhail 2016-01-25 15:52 EST
Created attachment 1118215 [details]
message for bug reproduction
Comment 2 Mikhail 2016-01-25 16:00:07 EST
collapsing email message attachment must also hide all inner attachment in collapsed email.
Comment 3 Mikhail 2016-01-25 16:00 EST
Created attachment 1118216 [details]
screenshot
Comment 4 Milan Crha 2016-01-26 13:33:33 EST
Thanks for a bug report. So it is a message, which has as attachments three messages and these messages has some attachments as well.

Tomas, do you think there is an easy fix for the gtk plugins to be hidden, when the parent element is collapsed/hidden, or it will be safer to wait with it for the WebKit2 port?
Comment 5 Tomas Popela 2016-01-27 04:23:40 EST
I have a fix for this issue. Moving it to upstream.

Note You need to log in before you can comment on or make changes to this bug.